﻿# Vous pouvez placer le script de votre jeu dans ce fichier.


init:

     $ _game_menu_screen = None
     $ import posixpath
     $ import os
     #$ renpy.block_rollback()

init python:
     style.texte_info = Style(style.default)
     style.texte_info.size = 28
     style.texte_info.layout = "greedy"
     style.texte_info.textalign = 0.5
     style.texte_info.yalign = 0.5
     style.texte_info.color = "#000000"
     
     style.accroche = Style(style.default)
     style.accroche.size = 120
     style.accroche.layout = "greedy"
     style.accroche.textalign = 0.5
     style.accroche.color = "#000000"
     
     style.phrases = Style(style.default)
     style.phrases.size = 60
     style.phrases.layout = "greedy"
     style.phrases.textalign = 0.5
     style.phrases.color = "#000000"


init python:
     config.empty_window = nvl_show_core
     config.window_hide_transition = dissolve
     config.window_show_transition = dissolve

# Déclarez sous cette ligne les images, avec l'instruction 'image'
# ex: image eileen heureuse = "eileen_heureuse.png"

image background_1 = "background_1.jpg"
image background_2 = "background_2.jpg"
image main_menu = "Main_template.png"
image menu_themes = "Menu_themes.png"
image menu_ressources = "Menu_ressources.jpg"
image menu_exercices = "Menu_exercices.jpg"
image menu_phrases = "Menu_phrases.png"
image template_alsace = "Template_alsace.png"
image fond_repliques = "fond_repliques.png"
image template_favori_sud = "template_favori_sud.png"
image template_favori_nord = "template_favori_nord.png"

image identite_sud = "identite_sud.jpg"
image identite_nord = "identite_nord.jpg"
image logo_canope = "logo_canope.jpg"
image logo_darilv = "logo_academie_strasbourg.jpg"

image tortue = "tortue.png"
image favori = "favori.png"
image favori_non = "favori_non.png"
image poubelle = "poubelle.png"
image wie_gehts = "titre.png"
image ASSP = "sous_titre.png"
image nuage ="nuage_1.png"
image stork_clin_1 = "stork_petit_oeil.png"
image stork_clin_2 = "stork_clin_oeil.png"

image nuage_anim = "nuage_1.png"
    
image stork_anim:
    "stork_petit_oeil.png"
    4.6
    "stork_clin_oeil.png"
    0.25
    "stork_petit_oeil.png"
    3.1
    "stork_clin_oeil.png"
    0.25
    "stork_petit_oeil.png"
    2.5
    "stork_clin_oeil.png"
    0.25
    repeat

image panneau_favoris = "panneau_favoris.png"
image replique = "repliques.png"
image replique_identite_sud = "replique_identite_sud.jpg"
image replique_comment_appelez_sud = "replique_comment_appelez_sud.jpg"
image replique_avez_enfants_sud = "replique_avez_enfants_sud.jpg"
image replique_comment_ils_s_appellent_sud = "replique_comment_ils_s_appellent_sud.jpg"
image replique_quelle_profession_sud = "replique_quelle_profession_sud.jpg"
image replique_identite_nord = "replique_identite_nord.jpg"
image replique_comment_appelez_nord = "replique_comment_appelez_nord.jpg"
image replique_avez_enfants_nord = "replique_avez_enfants_nord.jpg"
image ecouter = "play.png"
image panneau_reponses = "panneau_reponses_possibles.png"
image check = "confirmation-1152155_640.png"
image faux = "cross-296507_640.png"
image medaille = "Gold-Medal--Arvin611r58.png"
image point_interrogation = "question-24851_640.png"

image clic:
    "clic_1.png"
    pause 0.2
    "clic_2.png"
    pause 0.2
    "clic_3.png"
    pause 0.2
    "clic_2.png"
    pause 0.2
    repeat

image main_menu_ressources = Text (u"Ressources", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image main_menu_exercices = Text (u"Exercices", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image main_menu_favoris = Text (u"Favoris", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image choix_alsacien = Text (u"Alsacien du nord ou du sud ?", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image favoris_alsacien_sud_trop = Text (u"{b}Nombre de favoris \n en alsacien du sud atteint", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image favoris_alsacien_nord_trop = Text (u"{b}Nombre de favoris \n en alsacien du nord atteint", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image victoire_comprendre_partielle = Text (u"{size=25}{b}Bravo !\n Saurez-vous à présent tout comprendre sans aucune erreur ?", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)
image victoire_comprendre_totale = Text (u"{size=25}{b}Bravo !\n Vous avez réussi à tout comprendre sans aucune erreur !", slow=False, slow_done=None, slow_speed=None, slow_start=0, slow_abortable=False, pause=None, tokenized=False, style='texte_info',)

image victoire_totale = SnowBlossom("feuille.png")
image coupe = "award-148546_640.png"


# Déclarez les personnages utilisés dans le jeu.
define e = Character('Aide', color="#c8ffc8")
define nvle = Character(' ', color="#c8ffc8", kind=nvl)



# Le jeu commence ici
label main_menu:
    
    return

label start:
    
    $_game_menu_screen = None
    
    $ choix_alsacien = "Aucun"

    $ nb_favoris_max_nord = 10
    $ nb_favoris_max_sud = 10
    
    $ vitesse = 2
    
    $ nombre_favoris = 0
    $ nombre_phrases = 0
    $ phrases_identite = 3
    $ phrases_entree_chambre = 3
    $ phrases_mobilisation = 8
    $ phrases_hygiene = 14
    $ phrases_repas = 4
    $ phrases_habillement = 3
    $ phrases_douleur = 2
    $ phrases_meteo = 5
    
    $ phrases_comprendre = 15
    $ score_comprendre = 0
    $ question = "0"
    $ exercice_tentatives = 0
    $ ecoute_prealable = 0
    
    $ reponse_affichee_1 = "Néant"
    $ reponse_affichee_2 = "Néant"
    $ reponse_affichee_3 = "Néant"
    $ reponse_affichee_4 = "Néant"
    $ reponse_affichee_5 = "Néant"
    $ reponse_affichee_6 = "Néant"
    $ reponse_affichee_7 = "Néant"
    $ reponse_affichee_8 = "Néant"
    $ reponse_affichee_9 = "Néant"
    $ reponse_affichee_10 = "Néant"
    $ reponse_affichee_11 = "Néant"
    $ reponse_affichee_12 = "Néant"
    $ reponse_affichee_13 = "Néant"
    $ reponse_affichee_14 = "Néant"
    $ reponse_affichee_15 = "Néant"
    
    
    
    $ P_A1 = "????????????"
    $ P_A2 = "????????????"
    $ P_A3 = "Bonne nuit"
    
    
    python:
        
        liste_A = ('J\'aère votre chambre', 'La sonnette est là', 'Bonne nuit', 'A4', 'A5', 'A6', 'A7', 'A8', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        liste_B = ('Bonjour, je suis la soignante', 'Je vais m\'occuper de vous aujourd\'hui', 'Comment vous appelez-vous ?', 'A4', 'A5', 'A6', 'A7', 'A8', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        liste_C =('Je vous aide à vous asseoir', 'Je vous aide à vous lever', 'Je vous aide à marcher', 'On va dans la salle de bain', 'Aujourd\'hui il y a des activités', 'Venez avec moi, je vous emmène', 'Je vous couche pour la sieste', 'Je vous couche pour la nuit', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        liste_D = ('Avez-vous pris vos médicaments ?', 'Est-ce que vous devez aller aux WC ?', 'On va à la douche', 'Je vais vous aider', 'L\'eau est-elle assez chaude ?', 'Lavez-vous le visage', 'Lavez-vous les bras', 'Lavez-vous le ventre', 'Rincez-vous', 'Vous pouvez vous sécher', 'Je vous lave les jambes, les pieds et le dos', 'On doit laver les dents', 'Tenez, voici la brosse', 'Pour vous brosser les cheveux')
        liste_E = ('C\'est l\'heure de manger', 'Je vous emmène manger', 'Avez-vous fini de manger ?', 'Avez-vous aimé le repas ?', 'A5', 'A6', 'A7', 'A8', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        liste_F = ('Je vous aide à vous habiller ?', 'Je vous mets les chaussons', 'Je vous mets vos chaussures', 'A4', 'A5', 'A6', 'A7', 'A8', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        liste_G = ('Montrez-moi où vous avez mal', 'Je préviens le docteur', 'A3', 'A4', 'A5', 'A6', 'A7', 'A8', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        liste_H = ('Aujourd\'hui il va faire beau', 'Aujourd\'hui il fait chaud', 'Aujourd\'hui il pleut', 'Aujourd\'hui il fait froid', 'Aujourd\'hui il neige', 'A6', 'A7', 'A8', 'A9', 'A10', 'A11', 'A12', 'A13', 'A14')
        favoris_sud = []
        favoris_nord = []
        liste_comprendre = ('Comment-vous appelez-vous ?', 'Je veux me lever', 'Je veux me coucher', 'Je veux aller aux WC', 'Je suis fatiguée', 'J\'ai faim', 'J\'ai soif', 'J\'ai mal', 'Je veux voir le docteur', 'J\'ai chaud', 'J\'ai froid', 'Donnez-moi mon gilet', 'Donnez-moi ma veste', 'Donnez-moi mes chaussons', 'Donnez-moi mes chaussures')
        liste_questions_posees = ()
    


##_________________________________________VARIABLES_PERSISTENTES


if persistent.nombre_favoris_sud :
    
    pass
    
else:
    $ persistent.nombre_favoris_sud = 0
    

if persistent.nombre_favoris_nord:
    
    pass
    
else:
    $ persistent.nombre_favoris_nord = 0
    


####_____1

if persistent.A_1_Sud_favori:
    
    pass
    
else:
    $ persistent.A_1_Sud_favori = False

if persistent.A_1_Nord_favori:
    
    pass
    
else:
    $ persistent.A_1_Nord_favori = False
    

if persistent.B_1_Sud_favori:
    
    pass
    
else:
    $ persistent.B_1_Sud_favori = False

if persistent.B_1_Nord_favori:
    
    pass
    
else:
    $ persistent.B_1_Nord_favori = False
    

if persistent.C_1_Sud_favori:
    
    pass
    
else:
    $ persistent.C_1_Sud_favori = False

if persistent.C_1_Nord_favori:
    
    pass
    
else:
    $ persistent.C_1_Nord_favori = False
    
if persistent.D_1_Sud_favori:
    
    pass
    
else:
    $ persistent.D_1_Sud_favori = False

if persistent.D_1_Nord_favori:
    
    pass
    
else:
    $ persistent.D_1_Nord_favori = False
    
if persistent.E_1_Sud_favori:
    
    pass
    
else:
    $ persistent.E_1_Sud_favori = False

if persistent.E_1_Nord_favori:
    
    pass
    
else:
    $ persistent.E_1_Nord_favori = False
    
if persistent.F_1_Sud_favori:
    
    pass
    
else:
    $ persistent.F_1_Sud_favori = False

if persistent.F_1_Nord_favori:
    
    pass
    
else:
    $ persistent.F_1_Nord_favori = False
    

if persistent.G_1_Sud_favori:
    
    pass
    
else:
    $ persistent.G_1_Sud_favori = False

if persistent.G_1_Nord_favori:
    
    pass
    
else:
    $ persistent.G_1_Nord_favori = False
    

if persistent.H_1_Sud_favori:
    
    pass
    
else:
    $ persistent.H_1_Sud_favori = False

if persistent.H_1_Nord_favori:
    
    pass
    
else:
    $ persistent.H_1_Nord_favori = False
    
    
####_____2

if persistent.A_2_Sud_favori:
    
    pass
    
else:
    $ persistent.A_2_Sud_favori = False

if persistent.A_2_Nord_favori:
    
    pass
    
else:
    $ persistent.A_2_Nord_favori = False
    

if persistent.B_2_Sud_favori:
    
    pass
    
else:
    $ persistent.B_2_Sud_favori = False

if persistent.B_2_Nord_favori:
    
    pass
    
else:
    $ persistent.B_2_Nord_favori = False
    

if persistent.C_2_Sud_favori:
    
    pass
    
else:
    $ persistent.C_2_Sud_favori = False

if persistent.C_2_Nord_favori:
    
    pass
    
else:
    $ persistent.C_2_Nord_favori = False
    
if persistent.D_2_Sud_favori:
    
    pass
    
else:
    $ persistent.D_2_Sud_favori = False

if persistent.D_2_Nord_favori:
    
    pass
    
else:
    $ persistent.D_2_Nord_favori = False
    
if persistent.E_2_Sud_favori:
    
    pass
    
else:
    $ persistent.E_2_Sud_favori = False

if persistent.E_2_Nord_favori:
    
    pass
    
else:
    $ persistent.E_2_Nord_favori = False
    
if persistent.F_2_Sud_favori:
    
    pass
    
else:
    $ persistent.F_2_Sud_favori = False

if persistent.F_2_Nord_favori:
    
    pass
    
else:
    $ persistent.F_2_Nord_favori = False
    

if persistent.G_2_Sud_favori:
    
    pass
    
else:
    $ persistent.G_2_Sud_favori = False

if persistent.G_2_Nord_favori:
    
    pass
    
else:
    $ persistent.G_2_Nord_favori = False
    

if persistent.H_2_Sud_favori:
    
    pass
    
else:
    $ persistent.H_2_Sud_favori = False

if persistent.H_2_Nord_favori:
    
    pass
    
else:
    $ persistent.H_2_Nord_favori = False

####_____3

if persistent.A_3_Sud_favori:
    
    pass
    
else:
    $ persistent.A_3_Sud_favori = False

if persistent.A_3_Nord_favori:
    
    pass
    
else:
    $ persistent.A_3_Nord_favori = False
    

if persistent.B_3_Sud_favori:
    
    pass
    
else:
    $ persistent.B_3_Sud_favori = False

if persistent.B_3_Nord_favori:
    
    pass
    
else:
    $ persistent.B_3_Nord_favori = False
    

if persistent.C_3_Sud_favori:
    
    pass
    
else:
    $ persistent.C_3_Sud_favori = False

if persistent.C_3_Nord_favori:
    
    pass
    
else:
    $ persistent.C_3_Nord_favori = False
    
if persistent.D_3_Sud_favori:
    
    pass
    
else:
    $ persistent.D_3_Sud_favori = False

if persistent.D_3_Nord_favori:
    
    pass
    
else:
    $ persistent.D_3_Nord_favori = False
    
if persistent.E_3_Sud_favori:
    
    pass
    
else:
    $ persistent.E_3_Sud_favori = False

if persistent.E_3_Nord_favori:
    
    pass
    
else:
    $ persistent.E_3_Nord_favori = False
    
if persistent.F_3_Sud_favori:
    
    pass
    
else:
    $ persistent.F_3_Sud_favori = False

if persistent.F_3_Nord_favori:
    
    pass
    
else:
    $ persistent.F_3_Nord_favori = False
    

if persistent.G_3_Sud_favori:
    
    pass
    
else:
    $ persistent.G_3_Sud_favori = False

if persistent.G_3_Nord_favori:
    
    pass
    
else:
    $ persistent.G_3_Nord_favori = False
    

if persistent.H_3_Sud_favori:
    
    pass
    
else:
    $ persistent.H_3_Sud_favori = False

if persistent.H_3_Nord_favori:
    
    pass
    
else:
    $ persistent.H_3_Nord_favori = False
    
    
####_____4

if persistent.A_4_Sud_favori:
    
    pass
    
else:
    $ persistent.A_4_Sud_favori = False

if persistent.A_4_Nord_favori:
    
    pass
    
else:
    $ persistent.A_4_Nord_favori = False
    

if persistent.B_4_Sud_favori:
    
    pass
    
else:
    $ persistent.B_4_Sud_favori = False

if persistent.B_4_Nord_favori:
    
    pass
    
else:
    $ persistent.B_4_Nord_favori = False
    

if persistent.C_4_Sud_favori:
    
    pass
    
else:
    $ persistent.C_4_Sud_favori = False

if persistent.C_4_Nord_favori:
    
    pass
    
else:
    $ persistent.C_4_Nord_favori = False
    
if persistent.D_4_Sud_favori:
    
    pass
    
else:
    $ persistent.D_4_Sud_favori = False

if persistent.D_4_Nord_favori:
    
    pass
    
else:
    $ persistent.D_4_Nord_favori = False
    
if persistent.E_4_Sud_favori:
    
    pass
    
else:
    $ persistent.E_4_Sud_favori = False

if persistent.E_4_Nord_favori:
    
    pass
    
else:
    $ persistent.E_4_Nord_favori = False
    
if persistent.F_4_Sud_favori:
    
    pass
    
else:
    $ persistent.F_4_Sud_favori = False

if persistent.F_4_Nord_favori:
    
    pass
    
else:
    $ persistent.F_4_Nord_favori = False
    

if persistent.G_4_Sud_favori:
    
    pass
    
else:
    $ persistent.G_4_Sud_favori = False

if persistent.G_4_Nord_favori:
    
    pass
    
else:
    $ persistent.G_4_Nord_favori = False
    

if persistent.H_4_Sud_favori:
    
    pass
    
else:
    $ persistent.H_4_Sud_favori = False

if persistent.H_4_Nord_favori:
    
    pass
    
else:
    $ persistent.H_4_Nord_favori = False
    

####_____5

if persistent.A_5_Sud_favori:
    
    pass
    
else:
    $ persistent.A_5_Sud_favori = False

if persistent.A_5_Nord_favori:
    
    pass
    
else:
    $ persistent.A_5_Nord_favori = False
    

if persistent.B_5_Sud_favori:
    
    pass
    
else:
    $ persistent.B_5_Sud_favori = False

if persistent.B_5_Nord_favori:
    
    pass
    
else:
    $ persistent.B_5_Nord_favori = False
    

if persistent.C_5_Sud_favori:
    
    pass
    
else:
    $ persistent.C_5_Sud_favori = False

if persistent.C_5_Nord_favori:
    
    pass
    
else:
    $ persistent.C_5_Nord_favori = False
    
if persistent.D_5_Sud_favori:
    
    pass
    
else:
    $ persistent.D_5_Sud_favori = False

if persistent.D_5_Nord_favori:
    
    pass
    
else:
    $ persistent.D_5_Nord_favori = False
    
if persistent.E_5_Sud_favori:
    
    pass
    
else:
    $ persistent.E_5_Sud_favori = False

if persistent.E_5_Nord_favori:
    
    pass
    
else:
    $ persistent.E_5_Nord_favori = False
    
if persistent.F_5_Sud_favori:
    
    pass
    
else:
    $ persistent.F_5_Sud_favori = False

if persistent.F_5_Nord_favori:
    
    pass
    
else:
    $ persistent.F_5_Nord_favori = False
    

if persistent.G_5_Sud_favori:
    
    pass
    
else:
    $ persistent.G_5_Sud_favori = False

if persistent.G_5_Nord_favori:
    
    pass
    
else:
    $ persistent.G_5_Nord_favori = False
    

if persistent.H_5_Sud_favori:
    
    pass
    
else:
    $ persistent.H_5_Sud_favori = False

if persistent.H_5_Nord_favori:
    
    pass
    
else:
    $ persistent.H_5_Nord_favori = False
    
    
####_____6

if persistent.A_6_Sud_favori:
    
    pass
    
else:
    $ persistent.A_6_Sud_favori = False

if persistent.A_6_Nord_favori:
    
    pass
    
else:
    $ persistent.A_6_Nord_favori = False
    

if persistent.B_6_Sud_favori:
    
    pass
    
else:
    $ persistent.B_6_Sud_favori = False

if persistent.B_6_Nord_favori:
    
    pass
    
else:
    $ persistent.B_6_Nord_favori = False
    

if persistent.C_6_Sud_favori:
    
    pass
    
else:
    $ persistent.C_6_Sud_favori = False

if persistent.C_6_Nord_favori:
    
    pass
    
else:
    $ persistent.C_6_Nord_favori = False
    
if persistent.D_6_Sud_favori:
    
    pass
    
else:
    $ persistent.D_6_Sud_favori = False

if persistent.D_6_Nord_favori:
    
    pass
    
else:
    $ persistent.D_6_Nord_favori = False
    
if persistent.E_6_Sud_favori:
    
    pass
    
else:
    $ persistent.E_6_Sud_favori = False

if persistent.E_6_Nord_favori:
    
    pass
    
else:
    $ persistent.E_6_Nord_favori = False
    
if persistent.F_6_Sud_favori:
    
    pass
    
else:
    $ persistent.F_6_Sud_favori = False

if persistent.F_6_Nord_favori:
    
    pass
    
else:
    $ persistent.F_6_Nord_favori = False
    

if persistent.G_6_Sud_favori:
    
    pass
    
else:
    $ persistent.G_6_Sud_favori = False

if persistent.G_6_Nord_favori:
    
    pass
    
else:
    $ persistent.G_6_Nord_favori = False
    

if persistent.H_6_Sud_favori:
    
    pass
    
else:
    $ persistent.H_6_Sud_favori = False

if persistent.H_6_Nord_favori:
    
    pass
    
else:
    $ persistent.H_6_Nord_favori = False
    

####_____7

if persistent.A_7_Sud_favori:
    
    pass
    
else:
    $ persistent.A_7_Sud_favori = False

if persistent.A_7_Nord_favori:
    
    pass
    
else:
    $ persistent.A_7_Nord_favori = False
    

if persistent.B_7_Sud_favori:
    
    pass
    
else:
    $ persistent.B_7_Sud_favori = False

if persistent.B_7_Nord_favori:
    
    pass
    
else:
    $ persistent.B_7_Nord_favori = False
    

if persistent.C_7_Sud_favori:
    
    pass
    
else:
    $ persistent.C_7_Sud_favori = False

if persistent.C_7_Nord_favori:
    
    pass
    
else:
    $ persistent.C_7_Nord_favori = False
    
if persistent.D_7_Sud_favori:
    
    pass
    
else:
    $ persistent.D_7_Sud_favori = False

if persistent.D_7_Nord_favori:
    
    pass
    
else:
    $ persistent.D_7_Nord_favori = False
    
if persistent.E_7_Sud_favori:
    
    pass
    
else:
    $ persistent.E_7_Sud_favori = False

if persistent.E_7_Nord_favori:
    
    pass
    
else:
    $ persistent.E_7_Nord_favori = False
    
if persistent.F_7_Sud_favori:
    
    pass
    
else:
    $ persistent.F_7_Sud_favori = False

if persistent.F_7_Nord_favori:
    
    pass
    
else:
    $ persistent.F_7_Nord_favori = False
    

if persistent.G_7_Sud_favori:
    
    pass
    
else:
    $ persistent.G_7_Sud_favori = False

if persistent.G_7_Nord_favori:
    
    pass
    
else:
    $ persistent.G_7_Nord_favori = False
    

if persistent.H_7_Sud_favori:
    
    pass
    
else:
    $ persistent.H_7_Sud_favori = False

if persistent.H_7_Nord_favori:
    
    pass
    
else:
    $ persistent.H_7_Nord_favori = False
    

####_____8

if persistent.A_8_Sud_favori:
    
    pass
    
else:
    $ persistent.A_8_Sud_favori = False

if persistent.A_8_Nord_favori:
    
    pass
    
else:
    $ persistent.A_8_Nord_favori = False
    

if persistent.B_8_Sud_favori:
    
    pass
    
else:
    $ persistent.B_8_Sud_favori = False

if persistent.B_8_Nord_favori:
    
    pass
    
else:
    $ persistent.B_8_Nord_favori = False
    

if persistent.C_8_Sud_favori:
    
    pass
    
else:
    $ persistent.C_8_Sud_favori = False

if persistent.C_8_Nord_favori:
    
    pass
    
else:
    $ persistent.C_8_Nord_favori = False
    
if persistent.D_8_Sud_favori:
    
    pass
    
else:
    $ persistent.D_8_Sud_favori = False

if persistent.D_8_Nord_favori:
    
    pass
    
else:
    $ persistent.D_8_Nord_favori = False
    
if persistent.E_8_Sud_favori:
    
    pass
    
else:
    $ persistent.E_8_Sud_favori = False

if persistent.E_8_Nord_favori:
    
    pass
    
else:
    $ persistent.E_8_Nord_favori = False
    
if persistent.F_8_Sud_favori:
    
    pass
    
else:
    $ persistent.F_8_Sud_favori = False

if persistent.F_8_Nord_favori:
    
    pass
    
else:
    $ persistent.F_8_Nord_favori = False
    

if persistent.G_8_Sud_favori:
    
    pass
    
else:
    $ persistent.G_8_Sud_favori = False

if persistent.G_8_Nord_favori:
    
    pass
    
else:
    $ persistent.G_8_Nord_favori = False
    

if persistent.H_8_Sud_favori:
    
    pass
    
else:
    $ persistent.H_8_Sud_favori = False

if persistent.H_8_Nord_favori:
    
    pass
    
else:
    $ persistent.H_8_Nord_favori = False
    
    
####_____9

if persistent.A_9_Sud_favori:
    
    pass
    
else:
    $ persistent.A_9_Sud_favori = False

if persistent.A_9_Nord_favori:
    
    pass
    
else:
    $ persistent.A_9_Nord_favori = False
    

if persistent.B_9_Sud_favori:
    
    pass
    
else:
    $ persistent.B_9_Sud_favori = False

if persistent.B_9_Nord_favori:
    
    pass
    
else:
    $ persistent.B_9_Nord_favori = False
    

if persistent.C_9_Sud_favori:
    
    pass
    
else:
    $ persistent.C_9_Sud_favori = False

if persistent.C_9_Nord_favori:
    
    pass
    
else:
    $ persistent.C_9_Nord_favori = False
    
if persistent.D_9_Sud_favori:
    
    pass
    
else:
    $ persistent.D_9_Sud_favori = False

if persistent.D_9_Nord_favori:
    
    pass
    
else:
    $ persistent.D_9_Nord_favori = False
    
if persistent.E_9_Sud_favori:
    
    pass
    
else:
    $ persistent.E_9_Sud_favori = False

if persistent.E_9_Nord_favori:
    
    pass
    
else:
    $ persistent.E_9_Nord_favori = False
    
if persistent.F_9_Sud_favori:
    
    pass
    
else:
    $ persistent.F_9_Sud_favori = False

if persistent.F_9_Nord_favori:
    
    pass
    
else:
    $ persistent.F_9_Nord_favori = False
    

if persistent.G_9_Sud_favori:
    
    pass
    
else:
    $ persistent.G_9_Sud_favori = False

if persistent.G_9_Nord_favori:
    
    pass
    
else:
    $ persistent.G_9_Nord_favori = False
    

if persistent.H_9_Sud_favori:
    
    pass
    
else:
    $ persistent.H_9_Sud_favori = False

if persistent.H_9_Nord_favori:
    
    pass
    
else:
    $ persistent.H_9_Nord_favori = False
    
    
####_____10

if persistent.A_10_Sud_favori:
    
    pass
    
else:
    $ persistent.A_10_Sud_favori = False

if persistent.A_10_Nord_favori:
    
    pass
    
else:
    $ persistent.A_10_Nord_favori = False
    

if persistent.B_10_Sud_favori:
    
    pass
    
else:
    $ persistent.B_10_Sud_favori = False

if persistent.B_10_Nord_favori:
    
    pass
    
else:
    $ persistent.B_10_Nord_favori = False
    

if persistent.C_10_Sud_favori:
    
    pass
    
else:
    $ persistent.C_10_Sud_favori = False

if persistent.C_10_Nord_favori:
    
    pass
    
else:
    $ persistent.C_10_Nord_favori = False
    
if persistent.D_10_Sud_favori:
    
    pass
    
else:
    $ persistent.D_10_Sud_favori = False

if persistent.D_10_Nord_favori:
    
    pass
    
else:
    $ persistent.D_10_Nord_favori = False
    
if persistent.E_10_Sud_favori:
    
    pass
    
else:
    $ persistent.E_10_Sud_favori = False

if persistent.E_10_Nord_favori:
    
    pass
    
else:
    $ persistent.E_10_Nord_favori = False
    
if persistent.F_10_Sud_favori:
    
    pass
    
else:
    $ persistent.F_10_Sud_favori = False

if persistent.F_10_Nord_favori:
    
    pass
    
else:
    $ persistent.F_10_Nord_favori = False
    

if persistent.G_10_Sud_favori:
    
    pass
    
else:
    $ persistent.G_10_Sud_favori = False

if persistent.G_10_Nord_favori:
    
    pass
    
else:
    $ persistent.G_10_Nord_favori = False
    

if persistent.H_10_Sud_favori:
    
    pass
    
else:
    $ persistent.H_10_Sud_favori = False

if persistent.H_10_Nord_favori:
    
    pass
    
else:
    $ persistent.H_10_Nord_favori = False
    
####_____11

if persistent.A_11_Sud_favori:
    
    pass
    
else:
    $ persistent.A_11_Sud_favori = False

if persistent.A_11_Nord_favori:
    
    pass
    
else:
    $ persistent.A_11_Nord_favori = False
    

if persistent.B_11_Sud_favori:
    
    pass
    
else:
    $ persistent.B_11_Sud_favori = False

if persistent.B_11_Nord_favori:
    
    pass
    
else:
    $ persistent.B_11_Nord_favori = False
    

if persistent.C_11_Sud_favori:
    
    pass
    
else:
    $ persistent.C_11_Sud_favori = False

if persistent.C_11_Nord_favori:
    
    pass
    
else:
    $ persistent.C_11_Nord_favori = False
    
if persistent.D_11_Sud_favori:
    
    pass
    
else:
    $ persistent.D_11_Sud_favori = False

if persistent.D_11_Nord_favori:
    
    pass
    
else:
    $ persistent.D_11_Nord_favori = False
    
if persistent.E_11_Sud_favori:
    
    pass
    
else:
    $ persistent.E_11_Sud_favori = False

if persistent.E_11_Nord_favori:
    
    pass
    
else:
    $ persistent.E_11_Nord_favori = False
    
if persistent.F_11_Sud_favori:
    
    pass
    
else:
    $ persistent.F_11_Sud_favori = False

if persistent.F_11_Nord_favori:
    
    pass
    
else:
    $ persistent.F_11_Nord_favori = False
    

if persistent.G_11_Sud_favori:
    
    pass
    
else:
    $ persistent.G_11_Sud_favori = False

if persistent.G_11_Nord_favori:
    
    pass
    
else:
    $ persistent.G_11_Nord_favori = False
    

if persistent.H_11_Sud_favori:
    
    pass
    
else:
    $ persistent.H_11_Sud_favori = False

if persistent.H_11_Nord_favori:
    
    pass
    
else:
    $ persistent.H_11_Nord_favori = False
    

####_____12

if persistent.A_12_Sud_favori:
    
    pass
    
else:
    $ persistent.A_12_Sud_favori = False

if persistent.A_12_Nord_favori:
    
    pass
    
else:
    $ persistent.A_12_Nord_favori = False
    

if persistent.B_12_Sud_favori:
    
    pass
    
else:
    $ persistent.B_12_Sud_favori = False

if persistent.B_12_Nord_favori:
    
    pass
    
else:
    $ persistent.B_12_Nord_favori = False
    

if persistent.C_12_Sud_favori:
    
    pass
    
else:
    $ persistent.C_12_Sud_favori = False

if persistent.C_12_Nord_favori:
    
    pass
    
else:
    $ persistent.C_12_Nord_favori = False
    
if persistent.D_12_Sud_favori:
    
    pass
    
else:
    $ persistent.D_12_Sud_favori = False

if persistent.D_12_Nord_favori:
    
    pass
    
else:
    $ persistent.D_12_Nord_favori = False
    
if persistent.E_12_Sud_favori:
    
    pass
    
else:
    $ persistent.E_12_Sud_favori = False

if persistent.E_12_Nord_favori:
    
    pass
    
else:
    $ persistent.E_12_Nord_favori = False
    
if persistent.F_12_Sud_favori:
    
    pass
    
else:
    $ persistent.F_12_Sud_favori = False

if persistent.F_12_Nord_favori:
    
    pass
    
else:
    $ persistent.F_12_Nord_favori = False
    

if persistent.G_12_Sud_favori:
    
    pass
    
else:
    $ persistent.G_12_Sud_favori = False

if persistent.G_12_Nord_favori:
    
    pass
    
else:
    $ persistent.G_12_Nord_favori = False
    

if persistent.H_12_Sud_favori:
    
    pass
    
else:
    $ persistent.H_12_Sud_favori = False

if persistent.H_12_Nord_favori:
    
    pass
    
else:
    $ persistent.H_12_Nord_favori = False
    
    
####_____13

if persistent.A_13_Sud_favori:
    
    pass
    
else:
    $ persistent.A_13_Sud_favori = False

if persistent.A_13_Nord_favori:
    
    pass
    
else:
    $ persistent.A_13_Nord_favori = False
    

if persistent.B_13_Sud_favori:
    
    pass
    
else:
    $ persistent.B_13_Sud_favori = False

if persistent.B_13_Nord_favori:
    
    pass
    
else:
    $ persistent.B_13_Nord_favori = False
    

if persistent.C_13_Sud_favori:
    
    pass
    
else:
    $ persistent.C_13_Sud_favori = False

if persistent.C_13_Nord_favori:
    
    pass
    
else:
    $ persistent.C_13_Nord_favori = False
    
if persistent.D_13_Sud_favori:
    
    pass
    
else:
    $ persistent.D_13_Sud_favori = False

if persistent.D_13_Nord_favori:
    
    pass
    
else:
    $ persistent.D_13_Nord_favori = False
    
if persistent.E_13_Sud_favori:
    
    pass
    
else:
    $ persistent.E_13_Sud_favori = False

if persistent.E_13_Nord_favori:
    
    pass
    
else:
    $ persistent.E_13_Nord_favori = False
    
if persistent.F_13_Sud_favori:
    
    pass
    
else:
    $ persistent.F_13_Sud_favori = False

if persistent.F_13_Nord_favori:
    
    pass
    
else:
    $ persistent.F_13_Nord_favori = False
    

if persistent.G_13_Sud_favori:
    
    pass
    
else:
    $ persistent.G_13_Sud_favori = False

if persistent.G_13_Nord_favori:
    
    pass
    
else:
    $ persistent.G_13_Nord_favori = False
    

if persistent.H_13_Sud_favori:
    
    pass
    
else:
    $ persistent.H_13_Sud_favori = False

if persistent.H_13_Nord_favori:
    
    pass
    
else:
    $ persistent.H_13_Nord_favori = False
    
####_____14

if persistent.A_14_Sud_favori:
    
    pass
    
else:
    $ persistent.A_14_Sud_favori = False

if persistent.A_14_Nord_favori:
    
    pass
    
else:
    $ persistent.A_14_Nord_favori = False
    

if persistent.B_14_Sud_favori:
    
    pass
    
else:
    $ persistent.B_14_Sud_favori = False

if persistent.B_14_Nord_favori:
    
    pass
    
else:
    $ persistent.B_14_Nord_favori = False
    

if persistent.C_14_Sud_favori:
    
    pass
    
else:
    $ persistent.C_14_Sud_favori = False

if persistent.C_14_Nord_favori:
    
    pass
    
else:
    $ persistent.C_14_Nord_favori = False
    
if persistent.D_14_Sud_favori:
    
    pass
    
else:
    $ persistent.D_14_Sud_favori = False

if persistent.D_14_Nord_favori:
    
    pass
    
else:
    $ persistent.D_14_Nord_favori = False
    
if persistent.E_14_Sud_favori:
    
    pass
    
else:
    $ persistent.E_14_Sud_favori = False

if persistent.E_14_Nord_favori:
    
    pass
    
else:
    $ persistent.E_14_Nord_favori = False
    
if persistent.F_14_Sud_favori:
    
    pass
    
else:
    $ persistent.F_14_Sud_favori = False

if persistent.F_14_Nord_favori:
    
    pass
    
else:
    $ persistent.F_14_Nord_favori = False
    

if persistent.G_14_Sud_favori:
    
    pass
    
else:
    $ persistent.G_14_Sud_favori = False

if persistent.G_14_Nord_favori:
    
    pass
    
else:
    $ persistent.G_14_Nord_favori = False
    

if persistent.H_14_Sud_favori:
    
    pass
    
else:
    $ persistent.H_14_Sud_favori = False

if persistent.H_14_Nord_favori:
    
    pass
    
else:
    $ persistent.H_14_Nord_favori = False


#################________________________________________________________________START


label depart:
    
    scene background_2
    
    show main_menu
    
    show nuage_anim as nuage_1:
        xpos 750
        ypos 100
        linear 75.5 xpos -500 ypos 100
    
    show wie_gehts at(Position(xpos=360, ypos=145, xanchor='center', yanchor='center'))
    
    show nuage_anim as nuage_4:
        xpos 900
        ypos 200
        linear 65.5 xpos -500 ypos 200
    
    show ASSP at(Position(xpos=640, ypos=220, xanchor='center', yanchor='center'))
        
    show nuage_anim as nuage_2:
        xpos 1200
        ypos 250
        linear 50.5 xpos -500 ypos 250
    
    show stork_anim at(Position(xpos=280, ypos=335, xanchor='center', yanchor='center'))
    
    show nuage_anim as nuage_3:
        xpos 800
        ypos 300
        linear 45.5 xpos -500 ypos 300
        
    #show logo_canope at(Position(xpos=20, ypos=1260, xanchor='left', yanchor='bottom'))
    #show logo_darilv at(Position(xpos=20, ypos=1168, xanchor='left', yanchor='bottom'))
    #show logo_darilv at(Position(xpos=20, ypos=1260, xanchor='left', yanchor='bottom'))
    
    $ ui.at(Position(xpos=705, ypos=15, xanchor='right', yanchor='top'))
    $ ui.vbox()
    $ ui.imagebutton("question-24851_640.png", "question-24851_640.png", clicked=ui.returns("aide"))
    $ ui.null(height=15)
    $ ui.close()
    
    $ ui.at(Position(xpos=66, ypos=1200, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.imagebutton("darilv.jpg", "darilv.jpg", clicked=ui.returns("DARILV"))
    $ ui.close()
    
    $ ui.at(Position(xpos=280, ypos=850, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=45}{b}Dire", clicked=ui.returns("ressources"), style='accroche')
    $ ui.close()
     
    $ ui.at(Position(xpos=602, ypos=733, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=28}{b}Comprendre", clicked=ui.returns("exercices"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=363, ypos=1150, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=40}{b}Favoris", clicked=ui.returns("favoris"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=647, ypos=1140, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton(" ", clicked=ui.returns("quitter"), xminimum=85, style='accroche')
    $ ui.close()
    
    $ result = ui.interact()
    
    if result == "ressources":
    
         jump ressources
         
    if result == "exercices":
        
         scene background_2
    
         jump preparation_comprendre
         
    if result == "favoris":
    
         jump favoris

    if result == "quitter":
        
         $ renpy.save_persistent()
        
         $ renpy.quit()
         
    if result == "DARILV":
        
        e "{a=http://www.ac-strasbourg.fr/dareic/form/}DARILV - Rectorat de Strasbourg{/a}"
        jump depart
        
    if result == "aide":
        e "Cette application est à l'usage des futur.e.s soignant.e.s en contact avec des locuteurs dialectophones (alsacien du sud ou du nord).\n
           {b}Maître d'oeuvre :{/b} DROUARD Dominique (Responsable de l'action régionale, transfrontalière et en pays germanophones) DARILV - Rectorat de Strasbourg \n
           {b}Conception :{/b} FLURY Fabienne (Lycée du Rebberg - Mulhouse) / WOLF Isabelle (Déléguée académique aux relations internationales et aux langues vivantes (DARILV), IEN Allemand-lettres et Coordonnatrice pour la langue et la culture régionales) / JECKERT Martine (IEN Sciences Biologiques et Sciences Sociales Appliquées) / LAUGIER Lionel (Médiateur Ressources et Services Numérique Educatif - Atelier Canopé 68 - Mulhouse)\n
           {b}Réalisation :{/b} LAUGIER Lionel (Atelier Canopé 68 - Mulhouse)\n
           {b}Crédits voix :{/b}\n
           Alsacien du Nord : WOLF Isabelle \n
           Alsacien du Sud : FLURY Renée\n
           \n
           {b}Mentions légales{/b} :\n
           Source des images : {a=http://www.pixabay.com{/a}Pixabay{/a} - Licence CC0\n
           Source des bruitages : {a=http://lasonotheque.org/}La Sonothèque{/a} - Licence CC0\n
           Réalisé avec Ren'py - Octobre-Novembre 2019" 
        jump depart
         
label ressources:
    
    scene background_2
    
    show menu_themes
    
    show nuage_anim as nuage_1:
        xpos 750
        ypos 100
        linear 75.5 xpos -500 ypos 100
    
    show wie_gehts at(Position(xpos=360, ypos=145, xanchor='center', yanchor='center'))
    
    show nuage_anim as nuage_4:
        xpos 900
        ypos 200
        linear 65.5 xpos -500 ypos 200
    
    show ASSP at(Position(xpos=640, ypos=220, xanchor='center', yanchor='center'))
        
    show nuage_anim as nuage_2:
        xpos 1200
        ypos 250
        linear 50.5 xpos -500 ypos 250
    
    show stork_anim at(Position(xpos=280, ypos=335, xanchor='center', yanchor='center'))
    
    show nuage_anim as nuage_3:
        xpos 800
        ypos 300
        linear 45.5 xpos -500 ypos 300
    
    $ ui.at(Position(xpos=172, ypos=517, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Présentations", clicked=ui.returns("B"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=172, ypos=686, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Mobilisation", clicked=ui.returns("C"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=172, ypos=844, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Entrée\n en chambre", clicked=ui.returns("A"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=172, ypos=1004, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Météo", clicked=ui.returns("H"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=550, ypos=517, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Douleur", clicked=ui.returns("G"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=550, ypos=686, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Habillement", clicked=ui.returns("F"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=550, ypos=844, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Repas", clicked=ui.returns("E"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=550, ypos=1004, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.textbutton("{color=#000000}{size=38}{b}Toilette", clicked=ui.returns("D"), style='accroche')
    $ ui.close()
    
    $ ui.at(Position(xpos=80, ypos=1180, xanchor='center', yanchor='center'))
    $ ui.vbox()
    $ ui.imagebutton("panneau_retour.png", "panneau_retour.png", clicked=ui.returns("retour"))
    $ ui.close()
    
    $ result_rubriques = ui.interact()
    
    if result_rubriques == "B":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_identite
         
         jump ecran_dire
         
    if result_rubriques == "C":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_mobilisation
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "A":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_entree_chambre
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "H":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_meteo
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "G":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_douleur
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "F":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_habillement
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "E":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_repas
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "D":
    
         hide menu_themes
         
         $ nombre_phrases = phrases_hygiene
         
         jump ecran_dire
    
         return
         
    if result_rubriques == "retour":
        
        hide menu_themes
    
        jump depart


    